complexType "CommoditySettlementPeriodsPriceSchedule"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 2 elements
Defined: | globally in fpml-com-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | settlementPeriodsPriceStep*, settlementPeriodsReference*
</...>

Content Model Elements (2):

  settlementPeriodsPriceStep,
  settlementPeriodsReference (in settlementPeriodsPriceSchedule)

All Direct / Indirect Based Elements (1):

  settlementPeriodsPriceSchedule

Known Usage Locations

- As direct type of elements (1):
  settlementPeriodsPriceSchedule

Annotation
The fixed price schedule for electricity that applies to one or more groups of Settlement Periods.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CommoditySettlementPeriodsPriceSchedule"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsPriceStep" type="FixedPrice"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
settlementPeriodsPriceStep

  Type: | FixedPrice, complex content

  For an electricity transaction, the Fixed Price for a given Calculation Period during the life of the trade which applies to the range(s) of Settlement Periods referenced by settlementPeriods Reference. There must be a Fixed Price step specified for each Calculation Period, regardless of whether the Fixed Price changes or remains the same between periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsPriceStep" type="FixedPrice"/>

settlementPeriodsReference

  Type: | SettlementPeriodsReference, empty content

  The range(s) of Settlement Periods to which the Fixed Price steps apply.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="settlementPeriodsReference" type="SettlementPeriodsReference"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.